package com.bosshand.face;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@Configuration
@EnableSwagger2
public class SwaggerConfig {

  private static final Set<String> DEFAULT_PRODUCES_AND_CONSUMES = 
    new HashSet<String>(Arrays.asList("application/json",
          "application/json"));

	@Bean
	public Docket api(){
		return new Docket(DocumentationType.SWAGGER_2)
		.select()
		.apis(RequestHandlerSelectors.any())  
		.build()               
		.produces(DEFAULT_PRODUCES_AND_CONSUMES)
	  .consumes(DEFAULT_PRODUCES_AND_CONSUMES);
	}
}