package com.bosshand.face.utils;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.tencentcloudapi.common.Credential;
import com.tencentcloudapi.common.exception.TencentCloudSDKException;
import com.tencentcloudapi.common.profile.ClientProfile;
import com.tencentcloudapi.common.profile.HttpProfile;
import com.tencentcloudapi.ft.v20200304.FtClient;
import com.tencentcloudapi.ft.v20200304.models.AgeInfo;
import com.tencentcloudapi.ft.v20200304.models.ChangeAgePicRequest;
import com.tencentcloudapi.ft.v20200304.models.ChangeAgePicResponse;;

public class ChangeAgePic {

	private final static Log log = LogFactory.getLog(ChangeAgePic.class);

	public static ChangeAgePicResponse create(long age, String base64, String secretId, String secretKey) {
		try {
			Credential cred = new Credential(secretId, secretKey);
			HttpProfile httpProfile = new HttpProfile();
			httpProfile.setEndpoint("ft.tencentcloudapi.com");
			ClientProfile clientProfile = new ClientProfile();
			clientProfile.setHttpProfile(httpProfile);
			FtClient client = new FtClient(cred, "ap-shanghai", clientProfile);
			ChangeAgePicRequest req = new ChangeAgePicRequest();
			AgeInfo[] ageInfos1 = new AgeInfo[1];
			AgeInfo ageInfo1 = new AgeInfo();
			ageInfo1.setAge(age);
			ageInfos1[0] = ageInfo1;
			req.setImage(base64);
			req.setAgeInfos(ageInfos1);
			req.setRspImgType("url");
			ChangeAgePicResponse resp = client.ChangeAgePic(req);
			return resp;
		} catch (TencentCloudSDKException e) {
			log.error(e.toString());
		}
		return null;
	}

	public static Map<Integer, String> getFaceList(String base64, String secretId, String secretKey) {
		Map<Integer, String> map = new HashMap<>();
		map.clear();
		for (int i = 10; i <= 80; i += 10) {
			map.put(i, create(i, base64, secretId, secretKey).getResultUrl());
		}
		return map;
	}

}